Runtimes
List runtime harnesses
GET
List registered runtime harnesses
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://litellm-rust.onrender.com/api/runtime-harnesses \
--header 'Authorization: Bearer <token>'{
"harnesses": [
{
"alias": "local-opencode",
"api_spec": "claude_managed_agents",
"display_name": "local-opencode",
"api_base": "http://opencode:8080",
"is_default": true,
"connected": true,
"masked_api_key": "<string>",
"tools": [
{}
]
}
]
}curl --request GET \
--url https://litellm-rust.onrender.com/api/runtime-harnesses \
--header 'Authorization: Bearer <token>'{
"harnesses": [
{
"alias": "local-opencode",
"api_spec": "claude_managed_agents",
"display_name": "local-opencode",
"api_base": "http://opencode:8080",
"is_default": true,
"connected": true,
"masked_api_key": "<string>",
"tools": [
{}
]
}
]
}